'Invoices and Receipts                           
'Ver 1.00 (01-13-2010)                                          
' - This first version used PDFCute Writer to create a PDF file
'Ver 2.00 (01-18-2010)
' - This second version creates an RTF file directly
'Ver 2.01 (05-24-2010)
' - changed data storage from _DOCUMENTS to _APPDATA
'Ver 2.02 (10-18-2011)
' - following changes made in collectTheData()
' - dates in table's first column not required
' - calculate sub total if descr = 'total' and cost left blank
' - calculate tax if descr = 'tax' and tax rate included, and cost left blank
'Ver 2.10 (02-24-2012)
' - added button to show RTF file in Microsoft Wordpad
' - added button to copy RTF file address to clipboard
' - revised help and simplified open and save operations
' - expanded maximum lines from 9 to 12
' - before compiling, save included files that are loaded
'Ver 2.15 (04-12-2012)
' - expanded form options to 'Proposal, Invoice, Receipt'
'Ver 2.20 (04-13-2012)
' - expanded maximum lines from 12 to 24 (one printed page limit)
' - added 'Up' and 'Dn' buttons for showing extra lines
' - added keyboard hook for processing up and down arrow keys 
'Ver 2.25 (05-14-2012)
' - expanded form options to 'Proposal, Contract, Invoice, Receipt' 
' - added completion date and signatures for contracts
' - improved date formats with new formatDate() function
'Ver 2.26 (07-17-2014)
' - corrected problem creating RTF's (completion date required only for Contracts)
'Ver 2.27 (01-09-2015)
' - Corrected problem with new file, RTF button should not be dimmed
' - corrected some minor problems associated with checking form before creating RFT
' - added feature allowing double click of inv file to open it
'Ver 2.30 (06-19-2017)
' - added HTML file type that can be created
' - took back out forms for proposals and contracks (just not that important) 
' - rplaced up, dn control buttons with vertical scrollbar (including mousewheel)
' - replaced textbox borders with vertical and horizontal lines (looks better)
' - added insert and delete features to items table
' - different tax rates can be put inside subtotal blocks
'------------------------------------------------------------------------------------
%IDC_Label1        = 101
%IDC_Label2        = 102
%IDC_Label3        = 103
%IDC_Label4        = 104
%IDC_Label5        = 105
%IDC_Frame1        = 110
%IDC_Textbox1      = 111
%IDC_Textbox2      = 112
%IDC_Textbox3      = 113
%IDC_Textbox4      = 114
%IDC_Form          = 120
%IDC_Invoice       = 121
%IDC_Receipt       = 122
%IDC_Estimate      = 123
%IDC_Date          = 125
%IDC_Textbox5      = 200
%IDC_Textbox6      = 250
%IDC_Textbox7      = 300
%IDC_Dummy         = 350                  
%IDC_Textbox8      = 400             
%IDC_Amt           = 401       
%IDC_Total         = 402
%IDC_Scrollbar     = 403
%IDC_Sender        = 410
%IDC_RTF           = 411
%IDC_HTM           = 412                               
%IDC_CreateFile    = 413
%IDC_ShowFile      = 414
%IDC_CopyFile      = 415
%IDC_SenderBase    = 420

%IDM_New           = 501
%IDM_Open          = 502                                 
%IDM_Save          = 503
%IDM_SaveAs        = 504
%IDM_CreateFile    = 505                              
%IDM_Exit          = 506
%IDM_Clear         = 511
%IDM_Insert        = 512
%IDM_Delete        = 513
%IDM_Contents      = 521
%IDM_About         = 522                                                           

GLOBAL hMain, fileChanged, maxItems, numItems, itemNo, topItem as long 
global hScrollbar, scrolling, gOldText, hMousemenu as long 
global form, done, numNotes, fileChanged, hFont, fileType AS LONG
GLOBAL dataFolder, progFolder, thisFile, note, sDone, sForm, ssDate, sTotal AS STRING
GLOBAL addressee(), date(), descr(), cost(), sender(), notes() AS STRING
GLOBAL sDate AS STRING*10
global sw as wstring
GLOBAL total, subtotal, tax, paid AS DOUBLE
global si AS SCROLLINFO


DECLARE FUNCTION HtmlHelp LIB "hhctrl.ocx" ALIAS "HtmlHelpA" _
          (BYVAL LONG, ASCIIZ, BYVAL LONG, BYVAL LONG ) AS LONG
